﻿using System;
using Xamarin.Forms;

namespace AzureADSSO
{
    public partial class MainPage : ContentPage
    {
        private readonly string[] _scopes = { "openid", "offline_access" };

        public MainPage()
        {
            InitializeComponent();
        }

        private async void OnClick(object sender, EventArgs e)
        {
            // Use this method to interactively fetch access tokens
            var authResult = await App.PublicClientApp.AcquireTokenInteractive(_scopes)
                                .WithParentActivityOrWindow(Activity.Main)
                                .ExecuteAsync();
        }
    }
}
