//
//  ViewController.swift
//  DIPSAuhPrototypeB
//
//  Created by trd-studs on 30/03/2021.
//

import AuthenticationServices
import Foundation
import UIKit

class ViewController : UIViewController {
    private var authController : ASAuthorizationController?
    private var authProvider = ASAuthorizationSingleSignOnProvider(identityProvider: URL(string: "")!)
    
    override func viewDidLoad() {
        super.viewDidLoad()
        let canAuthorize = authProvider.canPerformAuthorization
        let label = UILabel(frame: CGRect(x: 0, y: 0, width: 300, height: 21))
        label.center = CGPoint(x: 160, y: 285)
        label.textAlignment = .center
        if canAuthorize == true {
            label.text = "Can authorize application!"
        } else {
            label.text = "Cannot authorize application."
        }
        self.view.addSubview(label)
        view.backgroundColor = .white
    }
    
    
}
