//
//  AppDelegate.swift
//  SSOExtension
//
//  Created by trd-studs on 26/04/2021.
//

import AuthenticationServices
import Foundation
import UIKit

extension UIApplicationDelegate {
    func application(_ app: UIApplication,
                     open url: URL,
                     options: [UIApplication.OpenURLOptionsKey: Any] = [:]) -> Bool {
        if let authorizationFlow = self.currentAuthorizationFlow, authorizationFlow.resumeExternalUserAgentFlow(with: url) {
            self.currentAuthorizationFlow = nil
            
            return true
        }
    }
}
